Bug 1487769 - CVE-2017-14039 CVE-2017-14164 CVE-2017-17479 CVE-2017-17480 openjpeg2: various flaws [epel-all]
Summary: CVE-2017-14039 CVE-2017-14164 CVE-2017-17479 CVE-2017-17480 openjpeg2: variou...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: openjpeg2
Version: epel7
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Richard Shaw
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2017-14039 CVE-2017-14164 CVE-2017-17479 CVE-2017-17480
TreeView+ depends on / blocked
 
Reported: 2017-09-01 21:22 UTC by Pedro Sampaio
Modified: 2018-03-11 19:42 UTC (History)
2 users (show)

Fixed In Version: openjpeg2-2.3.0-6.el6 openjpeg2-2.3.0-6.el7
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-03-11 19:42:32 UTC
Type: ---


Attachments (Terms of Use)

Description Pedro Sampaio 2017-09-01 21:22:06 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of epel-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora EPEL. While
only one tracking bug has been filed, please correct all affected versions
at the same time.  If you need to fix the versions independent of each
other, you may clone this bug as appropriate.

Comment 1 Pedro Sampaio 2017-09-01 21:22:16 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1487768

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Andrej Nemec 2017-09-08 12:52:52 UTC
Added new parent flaw bugs 1489836 (CVE-2017-14164) to this tracking bug.

Comment 3 Andrej Nemec 2017-12-12 15:20:07 UTC
Added new parent flaw bug 1525086 (CVE-2017-17479), 1525088 (CVE-2017-17480) to this tracking bug.

Comment 4 Fedora Update System 2018-02-20 14:26:07 UTC
openjpeg2-2.3.0-6.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-6ac908eac8

Comment 5 Fedora Update System 2018-02-20 14:27:25 UTC
openjpeg2-2.3.0-6.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-b7a74678b1

Comment 6 Fedora Update System 2018-02-20 17:36:27 UTC
openjpeg2-2.3.0-6.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-6ac908eac8

Comment 7 Fedora Update System 2018-02-20 17:37:53 UTC
openjpeg2-2.3.0-6.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-b7a74678b1

Comment 8 Fedora Update System 2018-03-11 19:42:32 UTC
openjpeg2-2.3.0-6.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2018-03-11 19:42:54 UTC
openjpeg2-2.3.0-6.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.